curl -X PUT "https://api.dabarai.com/v1/projects/6982139a1234abcd00009999" \
-H "api-token: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "status": "deploying" }'
{
"success": true,
"message": "<string>",
"data": {}
}Projects
Deploy project
Promote a draft project to deploying
PUT
/
projects
/
{id}
curl -X PUT "https://api.dabarai.com/v1/projects/6982139a1234abcd00009999" \
-H "api-token: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "status": "deploying" }'
{
"success": true,
"message": "<string>",
"data": {}
}Only supported transition:
draft → deploying. Any other value for
status returns 400.
Path parameters
string
required
Headers
string
required
Body
string
required
Must equal
"deploying".Response
boolean
string
Project
The updated project document.
Errors
| Status | Reason |
|---|---|
400 | status is not "deploying", or project not in draft |
404 | Project not found for this user |
curl -X PUT "https://api.dabarai.com/v1/projects/6982139a1234abcd00009999" \
-H "api-token: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "status": "deploying" }'